splash displays on wrong monitor

Bug #441880 reported by Jim Louvau on 2009-10-04
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
xsplash
Wishlist
Unassigned
xsplash (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: usplash

On a dual monitor system, with the LEFT being the secondary (absolute +0+0) and the RIGHT being the primary (absolute +1280+0) using TwinView, the splash is sized to the primary monitor but starts displaying in the secondary (and overflows to the primary on the right). Happens this way with ATI/fglrx (HD4670) and nVidia/nvidia (9600GT).

It seems that when TwinView is set up and monitor positioning set, uspalsh never gets configured to offset it's display (or perhaps it can't).

Cosmetic only, but it looks pretty tacky :-)

ProblemType: Bug
Architecture: amd64
Date: Sat Oct 3 20:34:33 2009
DistroRelease: Ubuntu 9.10
MachineType: Gigabyte Technology Co., Ltd. GA-MA785GM-US2H
NonfreeKernelModules: nvidia
Package: usplash 0.5.40
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-11-generic root=UUID=e7b5b688-3658-45e4-a67c-a9d52098c278 ro quiet splash
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-11.38-generic
SourcePackage: usplash
Uname: Linux 2.6.31-11-generic x86_64
UsplashConf:
 # Usplash configuration file
 # These parameters will only apply after running update-initramfs.
dmi.bios.date: 08/12/2009
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F4
dmi.board.name: GA-MA785GM-US2H
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF4:bd08/12/2009:svnGigabyteTechnologyCo.,Ltd.:pnGA-MA785GM-US2H:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-MA785GM-US2H:rvr:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: GA-MA785GM-US2H
dmi.sys.vendor: Gigabyte Technology Co., Ltd.

Jim Louvau (jlouvau) wrote :
Steve Langasek (vorlon) wrote :

This bug was assigned to usplash, but from the description I think this must be a bug in xsplash; usplash is run before X starts, and I think is incapable of interacting with TwinView settings whatsoever since that pertains to X settings - usplash simply starts full screen on the primary kernel framebuffer.

affects: usplash (Ubuntu) → xsplash (Ubuntu)
Cody Russell (bratsche) wrote :

I'm not sure off the top of my head how TwinView exposes to the application which monitor is primary, but I'll look into this later this week (I'm in Boston for Gnome Summit now and don't have access to my TwinView system).

Changed in xsplash (Ubuntu):
assignee: nobody → Cody Russell (bratsche)
Changed in xsplash:
assignee: nobody → Cody Russell (bratsche)
Daniel Lee (longinus00) wrote :

Does gdm also display only on the left monitor?

It shows the "cylon eye" on the left monitor and just the background on
the right. The login window however comes up on the right like it
should. When you login, again the "eye" comes up on the left, and then
for a few seconds the backgrounds get messed up .. they resize so
there's a black border at the bottom of one (the monitors are not the
same size/res) .. it looks like it gets confused and switches the
backgrounds (which were actually correct to begin with).

Yeah, it's very inconsistent, like it's saying "ok I'm here .. no wait,
I'm over there and smaller .. no wait maybe just a bigger background
over there .. no wait .." :D

FYI the right monitor is physically plugged into the card's first/#1 DVI
port.

Daniel Lee wrote:
> Does gdm also display only on the left monitor?
>
>

David Barth (dbarth) on 2009-10-22
Changed in xsplash:
importance: Undecided → Low
milestone: none → ubuntu-9.10
status: New → Triaged
Changed in xsplash (Ubuntu):
importance: Undecided → Low
status: New → Triaged
Steve (steve-puppet-head) wrote :

Just to add a piccy showing what I think is the same problem on mine, the first ubuntu logo and login are on the correct right screen, but the "cylon eye" is on the left, at the size of the right screen, so it over laps. Real ugly. I think this will be a common problem.

Jim Louvau (jlouvau) wrote :

Steve wrote:
> Just to add a piccy showing what I think is the same problem on mine,
> the first ubuntu logo and login are on the correct right screen, but the
> "cylon eye" is on the left, at the size of the right screen, so it over
> laps. Real ugly. I think this will be a common problem.
>
> ** Attachment added: "screens.jpg"
> http://launchpadlibrarian.net/34177268/screens.jpg
>
>
Yep, that's it all right.

Daniel Lee (longinus00) wrote :

In that case this must be related to bug 413348.

David Barth (dbarth) on 2009-10-23
Changed in xsplash:
milestone: ubuntu-9.10 → ubuntu-9.10-sru

I have this problem as well on Karmic final release. Is it specific to nVidia TwinView?

Jim Louvau (jlouvau) wrote :

On Fri, 2009-10-30 at 21:55 +0000, joelholdsworth wrote:
> I have this problem as well on Karmic final release. Is it specific to
> nVidia TwinView?
>

Not at all. It happens here on an ATI HD4670 as well as 9600GT and
8800GT nVidias.

goto (gotolaunchpad) wrote :

I also have a similar problem, using NVidia TwinView, with primary monitor on the left. gdm shows up on the right, while the progress bar does its thing on the left.

Steve (steve-puppet-head) wrote :

I don't understand all this "SRU" and "Branches", I'm afraid all these buzz words don't mean anything to the general public. Could anyone explain in plain English if this has already been fixed?

Should I be thinking about hacking up my own copy of xsplash , or will I be wasting my time as a new version will popup tomorrow that works correctly????????

Cody Russell (bratsche) wrote :

To be honest, this is not a high priority right now for me. UDS is starting next week, and as the bug description says very clearly this is just a cosmetic bug.

I'm pretty sure I've described this elsewhere, but we don't currently query the primary monitor as there wasn't yet API to do this (which I now have a patch for, but it won't make it into Karmic).

In the case of the primary monitor being your left monitor, xsplash happens to be correct (just incidentally), but gdm displays on the right monitor. That seems like maybe a gdm bug. In the case of the primary monitor being on the right, xsplash can be fixed using my new API patch.

Jim Louvau (jlouvau) wrote :

No worries, that's why I posted it as cosmetic. Have fun at UDS :-)

On Thu, 2009-11-12 at 14:40 +0000, Cody Russell wrote:
> To be honest, this is not a high priority right now for me. UDS is
> starting next week, and as the bug description says very clearly this is
> just a cosmetic bug.
>
> I'm pretty sure I've described this elsewhere, but we don't currently
> query the primary monitor as there wasn't yet API to do this (which I
> now have a patch for, but it won't make it into Karmic).
>
> In the case of the primary monitor being your left monitor, xsplash
> happens to be correct (just incidentally), but gdm displays on the right
> monitor. That seems like maybe a gdm bug. In the case of the primary
> monitor being on the right, xsplash can be fixed using my new API patch.
>

Alex Meakins (alex-meakins) wrote :

Just to add my voice, I also see this behavior with two karmic amd64 installs. Looks particularly bad due to the two monitors being different sizes as per the photo above.

Would like to see this fixed as its embarrassing trying to explain to my manager how great ubuntu is when he sees a problem in a "trivial" part of the OS (not my words). I love my manager......

It would be a shame for the fix not to get dropped into Karmic.

Cody Russell (bratsche) on 2010-03-10
Changed in xsplash:
importance: Low → Wishlist
Changed in xsplash (Ubuntu):
importance: Low → Wishlist
Cody Russell (bratsche) on 2010-03-11
Changed in xsplash:
assignee: Cody Russell (bratsche) → nobody
Changed in xsplash (Ubuntu):
assignee: Cody Russell (bratsche) → nobody
Ilari (ilarinews) wrote :

Same problem than Goto:
 "I also have a similar problem, using NVidia TwinView, with primary monitor on the left. gdm shows up on the right, while the progress bar does its thing on the left."
gdm .22 and up start to monitor where mouse pointer (older version start to primary monitor), so if you move your mouse pointer like mad to correct monitor, gdm starts to correct monitor.
I have tested kdm also it doesn't work any better.
I have made gdm restart icon to make gdm restart easier.
I have tested also Xinerama, it works, but can't get Composition work with that.

Ilari (ilarinews) wrote :

from "https://bugs.launchpad.net/ubuntu/+source/gdm/+bug/395314"

- install xwit from using apt-install or synaptics
- add the following line to /etc/gdm/Init/Default or another script that gets called by gdm prior to login
xwit -root -warp 500 500 #or use any other x/y coordinates that lie within the range of the primary monitor
(place it end of file).

work with me....

Phillip Susi (psusi) wrote :

This package has been removed from Ubuntu. Closing all related bugs.

Changed in xsplash (Ubuntu):
status: Triaged → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers